Organization-scoped User Management endpoints. These operate on an organization and its members within AuthKit.
Get a list of all Connect applications that users in the organization have authorized.
cURL
| curl "https://api.workos.com/organizations/org_01EHZNVPK3SFK441A1RGBFSHRT/authorized_applications" \ | |
| --header "Authorization: Bearer sk_example_123456789" |
| require "workos" | |
| WorkOS.configure do |config| | |
| config.api_key = "sk_example_123456789" | |
| end | |
| WorkOS.client.organizations.list_authorized_applications(organization_id: "org_01EHZNVPK3SFK441A1RGBFSHRT") |
| from workos import WorkOSClient | |
| client = WorkOSClient(api_key="sk_example_123456789", client_id="client_123456789") | |
| client.organizations.list_authorized_applications( | |
| organization_id="org_01EHZNVPK3SFK441A1RGBFSHRT" | |
| ) |
| package main | |
| import ( | |
| "context" | |
| "github.com/workos/workos-go/v9" | |
| ) | |
| func main() { | |
| client := workos.NewClient("sk_example_123456789") | |
| _, err := client.Organizations().ListAuthorizedApplications(context.Background(), "org_01EHZNVPK3SFK441A1RGBFSHRT") | |
| if err != nil { | |
| panic(err) | |
| } | |
| } |
| <?php | |
| use WorkOS\WorkOS; | |
| $workos = new WorkOS( | |
| apiKey: "sk_example_123456789", | |
| clientId: "client_123456789", | |
| ); | |
| $workos | |
| ->organizations() | |
| ->listAuthorizedApplications( | |
| organizationId: "org_01EHZNVPK3SFK441A1RGBFSHRT", | |
| ); |
| import com.workos.WorkOS; | |
| WorkOS workos = new WorkOS("sk_example_123456789"); | |
| workos.organizations.listAuthorizedApplications("org_01EHZNVPK3SFK441A1RGBFSHRT"); |
| using WorkOS; | |
| var client = new WorkOSClient(new WorkOSOptions { | |
| ApiKey = "sk_example_123456789", | |
| ClientId = "client_123456789", | |
| }); | |
| await client.Organizations.ListAuthorizedApplicationsAsync("org_01EHZNVPK3SFK441A1RGBFSHRT"); |
| use workos::Client; | |
| #[tokio::main] | |
| async fn main() -> Result<(), workos::Error> { | |
| let client = Client::builder() | |
| .api_key("sk_example_123456789") | |
| .client_id("client_123456789") | |
| .build(); | |
| let _result = client | |
| .organizations() | |
| .list_authorized_applications("org_01EHZNVPK3SFK441A1RGBFSHRT") | |
| .await?; | |
| Ok(()) | |
| } |
| { | |
| "object": "list", | |
| "data": [ | |
| { | |
| "object": "authorized_connect_application", | |
| "id": "authorized_connect_app_01HXYZ123456789ABCDEFGHIJ", | |
| "granted_scopes": [ | |
| "openid", | |
| "profile", | |
| "email" | |
| ], | |
| "oauth_resource": "https://api.example.com/resource", | |
| "application": { | |
| "application_type": "oauth", | |
| "redirect_uris": [ | |
| { | |
| "uri": "https://example.com/callback", | |
| "default": true | |
| } | |
| ], | |
| "uses_pkce": true, | |
| "is_first_party": true, | |
| "object": "connect_application", | |
| "id": "conn_app_01HXYZ123456789ABCDEFGHIJ", | |
| "client_id": "client_01HXYZ123456789ABCDEFGHIJ", | |
| "description": "An application for managing user access", | |
| "name": "My Application", | |
| "scopes": [ | |
| "openid", | |
| "profile", | |
| "email" | |
| ], | |
| "created_at": "2026-01-15T12:00:00.000Z", | |
| "updated_at": "2026-01-15T12:00:00.000Z" | |
| }, | |
| "user_id": "user_01E4ZCR3C56J083X43JQXF3JK5" | |
| } | |
| ], | |
| "list_metadata": { | |
| "before": "authorized_connect_app_01HXYZ123456789ABCDEFGHIJ", | |
| "after": "authorized_connect_app_01HXYZ987654321KJIHGFEDCBA" | |
| } | |
| } |
GET/organizations /:organization_id /authorized_applications
Parameters
Returns object
Organization membership Continue to the next section
Up next